Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  (command "_.line" pkt "'lot" li)

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   (command "_.line" pkt "'lot" li) (920 mal gelesen)
tappenbeck
Mitglied
Vermessungsingenieur


Sehen Sie sich das Profil von tappenbeck an!   Senden Sie eine Private Message an tappenbeck  Schreiben Sie einen Gästebucheintrag für tappenbeck

Beiträge: 1152
Registriert: 30.05.2002

AutoCAD (Map)2015, Topobase, Lisp, .vb.net (Einsteiger)

erstellt am: 20. Jan. 2004 11:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich möchte eine linien von einem punkt (pkt) auf eine linie (li) zeichnen. mit (command "_.line" pkt "'lot" li) klappt das irgendwie nicht ! mache ich etwas falsch oder muss ich den lotfußpunkt immer alternativ berechnen ????

(setq pkt (getpoint))
(setq li (car (entsel)))

vielen dank im voraus.

gruß Jan :-)

------------------
jan :-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4136
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 20. Jan. 2004 11:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tappenbeck 10 Unities + Antwort hilfreich

Hallo Jan,

Die Fehlermeldung in der Befehlszeile, die beim Ausführen deiner Zeile erscheint sagt dir eigentlich ziemlich genau, wo der Fehler liegt. <Punkt oder Optionstitel wird benötigt> Du übergibst jedoch einen Elementnamen. Du musst nicht rechnen, sondern einen Punkt auf der Linie übergeben, das Lot sucht die Funktion dann selbst.
(setq li (cadr (entsel)) sollte funktionieren.

Hier im Forum oder auch in Rund um AutoCAD wurden bereits öfter die Vorzüge und Nachteile der (command-Programmierung diskutiert. Deine Aufgabenstellung ist ein typisches Beispiel dafür, dass man auf das (command verzichten und den Punkt errechnen sollte.  Hast du das getan, kannst du die Linie auch mit (entmake..) erstellen.
Man kann dadurch, dass man einen Punkt übergibt nie 100% sicher sein, dass AutoCAD auch tatsächlich die von dir gedachte Linie zur Lotberechnung heranzieht. Befinden sich in der Nähe viele Objekte oder ist irgendein Objektfang eingeschaltet kann es zu vollkommen falschen Ergebnissen kommen, da AutoCAD irgendein anderes Zeichnungselemnt in der Nähe gewählt hat.

Bei Fragen ...

Grüße Holger

------------------
Holger Brischke
(defun - Lisp over night!
AutoLISP-Programmierung für AutoCAD
Da weiß man, wann man's hat!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marvin101010
Mitglied
ingenieur der architektur ohne diplom, bauzeichner ohne lehre, cad-admin ohne wissen :-)


Sehen Sie sich das Profil von marvin101010 an!   Senden Sie eine Private Message an marvin101010  Schreiben Sie einen Gästebucheintrag für marvin101010

Beiträge: 562
Registriert: 22.01.2003

Pentium 4
Windows XP
Autocad 2002
Autocad 2002LT + Extender
ADT 3.3
ArchiCAD

erstellt am: 20. Jan. 2004 11:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für tappenbeck 10 Unities + Antwort hilfreich

muss da jetzt auch meinen senf dazu geben...

jan...lass es sein!!!
wenn es auch nur ansatzweise eine möglichkeit gibt (command "...) zu umgehen, dann TU ES!!!!!!
ein wenig geometrie...eine prise nachdenken mit einem schuss (entmake ...) und schon hast du eine blitzsaubere lösung, die immer funktioniert.
probier es aus und du wirst es nicht bereuen.

------------------
...so long and thanx for all the fish!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz